//
// 此文件是由 JavaTM Architecture for XML Binding (JAXB) 引用实现 v2.3.0 生成的
// 请访问 <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// 在重新编译源模式时, 对此文件的所有修改都将丢失。
// 生成时间: 2026.03.02 时间 03:10:34 PM CST 
//


package com.njcn.gather.icd.mapping.infrastructure.parser.generated;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>tPredefinedBasicTypeEnum的 Java 类。
 * 
 * <p>以下模式片段指定包含在此类中的预期内容。
 * <p>
 * <pre>
 * &lt;simpleType name="tPredefinedBasicTypeEnum"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}Name"&gt;
 *     &lt;enumeration value="BOOLEAN"/&gt;
 *     &lt;enumeration value="INT8"/&gt;
 *     &lt;enumeration value="INT16"/&gt;
 *     &lt;enumeration value="INT24"/&gt;
 *     &lt;enumeration value="INT32"/&gt;
 *     &lt;enumeration value="INT64"/&gt;
 *     &lt;enumeration value="INT128"/&gt;
 *     &lt;enumeration value="INT8U"/&gt;
 *     &lt;enumeration value="INT16U"/&gt;
 *     &lt;enumeration value="INT24U"/&gt;
 *     &lt;enumeration value="INT32U"/&gt;
 *     &lt;enumeration value="FLOAT32"/&gt;
 *     &lt;enumeration value="FLOAT64"/&gt;
 *     &lt;enumeration value="Enum"/&gt;
 *     &lt;enumeration value="Dbpos"/&gt;
 *     &lt;enumeration value="Tcmd"/&gt;
 *     &lt;enumeration value="Quality"/&gt;
 *     &lt;enumeration value="Timestamp"/&gt;
 *     &lt;enumeration value="VisString32"/&gt;
 *     &lt;enumeration value="VisString64"/&gt;
 *     &lt;enumeration value="VisString65"/&gt;
 *     &lt;enumeration value="VisString129"/&gt;
 *     &lt;enumeration value="VisString255"/&gt;
 *     &lt;enumeration value="Octet64"/&gt;
 *     &lt;enumeration value="Unicode255"/&gt;
 *     &lt;enumeration value="Struct"/&gt;
 *     &lt;enumeration value="EntryTime"/&gt;
 *     &lt;enumeration value="Check"/&gt;
 *     &lt;enumeration value="ObjRef"/&gt;
 *     &lt;enumeration value="Currency"/&gt;
 *     &lt;enumeration value="PhyComAddr"/&gt;
 *     &lt;enumeration value="TrgOps"/&gt;
 *     &lt;enumeration value="OptFlds"/&gt;
 *     &lt;enumeration value="SvOptFlds"/&gt;
 *     &lt;enumeration value="LogOptFlds"/&gt;
 *     &lt;enumeration value="EntryID"/&gt;
 *     &lt;enumeration value="Octet6"/&gt;
 *     &lt;enumeration value="Octet16"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "tPredefinedBasicTypeEnum")
@XmlEnum
public enum TPredefinedBasicTypeEnum {

    BOOLEAN("BOOLEAN"),
    @XmlEnumValue("INT8")
    INT_8("INT8"),
    @XmlEnumValue("INT16")
    INT_16("INT16"),
    @XmlEnumValue("INT24")
    INT_24("INT24"),
    @XmlEnumValue("INT32")
    INT_32("INT32"),
    @XmlEnumValue("INT64")
    INT_64("INT64"),
    @XmlEnumValue("INT128")
    INT_128("INT128"),
    @XmlEnumValue("INT8U")
    INT_8_U("INT8U"),
    @XmlEnumValue("INT16U")
    INT_16_U("INT16U"),
    @XmlEnumValue("INT24U")
    INT_24_U("INT24U"),
    @XmlEnumValue("INT32U")
    INT_32_U("INT32U"),
    @XmlEnumValue("FLOAT32")
    FLOAT_32("FLOAT32"),
    @XmlEnumValue("FLOAT64")
    FLOAT_64("FLOAT64"),
    @XmlEnumValue("Enum")
    ENUM("Enum"),
    @XmlEnumValue("Dbpos")
    DBPOS("Dbpos"),
    @XmlEnumValue("Tcmd")
    TCMD("Tcmd"),
    @XmlEnumValue("Quality")
    QUALITY("Quality"),
    @XmlEnumValue("Timestamp")
    TIMESTAMP("Timestamp"),
    @XmlEnumValue("VisString32")
    VIS_STRING_32("VisString32"),
    @XmlEnumValue("VisString64")
    VIS_STRING_64("VisString64"),
    @XmlEnumValue("VisString65")
    VIS_STRING_65("VisString65"),
    @XmlEnumValue("VisString129")
    VIS_STRING_129("VisString129"),
    @XmlEnumValue("VisString255")
    VIS_STRING_255("VisString255"),
    @XmlEnumValue("Octet64")
    OCTET_64("Octet64"),
    @XmlEnumValue("Unicode255")
    UNICODE_255("Unicode255"),
    @XmlEnumValue("Struct")
    STRUCT("Struct"),
    @XmlEnumValue("EntryTime")
    ENTRY_TIME("EntryTime"),
    @XmlEnumValue("Check")
    CHECK("Check"),
    @XmlEnumValue("ObjRef")
    OBJ_REF("ObjRef"),
    @XmlEnumValue("Currency")
    CURRENCY("Currency"),
    @XmlEnumValue("PhyComAddr")
    PHY_COM_ADDR("PhyComAddr"),
    @XmlEnumValue("TrgOps")
    TRG_OPS("TrgOps"),
    @XmlEnumValue("OptFlds")
    OPT_FLDS("OptFlds"),
    @XmlEnumValue("SvOptFlds")
    SV_OPT_FLDS("SvOptFlds"),
    @XmlEnumValue("LogOptFlds")
    LOG_OPT_FLDS("LogOptFlds"),
    @XmlEnumValue("EntryID")
    ENTRY_ID("EntryID"),
    @XmlEnumValue("Octet6")
    OCTET_6("Octet6"),
    @XmlEnumValue("Octet16")
    OCTET_16("Octet16");
    private final String value;

    TPredefinedBasicTypeEnum(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static TPredefinedBasicTypeEnum fromValue(String v) {
        for (TPredefinedBasicTypeEnum c: TPredefinedBasicTypeEnum.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
